Index: palm/trunk/SOURCE/advec_ws.f90
===================================================================
--- palm/trunk/SOURCE/advec_ws.f90	(revision 859)
+++ palm/trunk/SOURCE/advec_ws.f90	(revision 861)
@@ -1703,10 +1817,10 @@
        IMPLICIT NONE
 
-       INTEGER ::  i, j, k, tn = 0
+       INTEGER ::  i, j, k, tn = 0, k_ppp, k_pp, k_mm
        REAL, DIMENSION(:,:,:), POINTER ::  sk
-       REAL    :: flux_d, diss_d, u_comp, v_comp
-       REAL, DIMENSION(nzb:nzt+1)  ::  flux_r, diss_r, flux_n, diss_n
-       REAL, DIMENSION(nzb+1:nzt) :: swap_flux_y_local, swap_diss_y_local,    &
-                                     flux_t, diss_t
+       REAL    :: flux_d, diss_d, u_comp, v_comp, div
+       REAL, DIMENSION(nzb:nzt)  ::  flux_r, diss_r, flux_n, diss_n, flux_t,  &
+                                     diss_t
+       REAL, DIMENSION(nzb+1:nzt) :: swap_flux_y_local, swap_diss_y_local
        REAL, DIMENSION(nzb+1:nzt,nys:nyn) :: swap_flux_x_local,               &
                                              swap_diss_x_local
